Bug 1603210 - Timepicker doesn't pass correct timing on service order
Summary: Timepicker doesn't pass correct timing on service order
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.4
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1583177
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 13:10 UTC by Satoe Imaishi
Modified: 2018-09-04 18:02 UTC (History)
9 users (show)

Fixed In Version: 5.9.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1583177
Environment:
Last Closed: 2018-09-04 18:01:40 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
screenshot -1 - time given (113.79 KB, image/png)
2018-07-31 22:57 UTC, Shveta
no flags Details
screenshot -2 _ time in request (126.37 KB, image/png)
2018-07-31 22:57 UTC, Shveta
no flags Details
Time in request (122.46 KB, image/png)
2018-08-06 17:17 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:39 UTC

Comment 2 CFME Bot 2018-07-19 13:13:22 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/f5ce04717e251286fc495c29a1a9e161b6777d8a
commit f5ce04717e251286fc495c29a1a9e161b6777d8a
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Jul 13 04:53:29 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Fri Jul 13 04:53:29 2018 -0400

    Merge pull request #4282 from eclarizio/BZ1583177-TimepickerRequestFix

    Fix date/time display on request screen
    (cherry picked from commit 006005a17a581fbce9b1087f1f376d4560ec0a25)

    https://bugzilla.redhat.com/show_bug.cgi?id=1603210

 app/views/shared/dialogs/_dialog_field_date_and_date_time_control.html.haml | 13 +-
 1 file changed, 7 insertions(+), 6 deletions(-)

Comment 3 Shveta 2018-07-31 22:56:50 UTC
Not fixed in 

Time given was 3:54 and end time was 4.54 .(Screenshot 1)
Request shows :22:54 (screenshot 2)


From logs
==========================
>"abcde", :param_sid=>"sid", :dialog_param_sid=>"sid", :param_start_time=>"2018-07-31T22:54:04Z", :dialog_param_start_time=>"2018-07-31T22:54:04Z", :param_end_time=>"2018-07-31T22:54:04Z", :dialog_param_end_time=>"2018-07-31T22:54:04Z"}

Comment 4 Shveta 2018-07-31 22:57:22 UTC
Created attachment 1471946 [details]
screenshot -1 - time given

Comment 5 Shveta 2018-07-31 22:57:58 UTC
Created attachment 1471947 [details]
screenshot -2 _ time in request

Comment 7 eclarizi 2018-08-02 14:35:27 UTC
Is there a reproducer I can look at for this?

Comment 12 Shveta 2018-08-06 16:47:15 UTC
Satoe's marke bug to be "Fixed In Version: 5.9.4.1" 

Appliance version is 5.9.4.1.20180726225200_f44ec83

Comment 13 Shveta 2018-08-06 16:49:46 UTC
Testing  in 5.9.4.2.20180802030318_f91df08

Comment 14 Shveta 2018-08-06 17:17:57 UTC
Created attachment 1473678 [details]
Time in request

Working in 5.9.4.2.20180802030318_f91df08

Comment 17 errata-xmlrpc 2018-09-04 18:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.